SDL_SCANF_FORMAT_STRING(3)

NAME
SDL_SCANF_FORMAT_STRING - Macro that annotates function params as scanf-style format strings.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_SCANF_FORMAT_STRING _Scanf_format_string_impl_

DESCRIPTION
If we were to annotate fscanf :

        int fscanf(FILE *f, SDL_SCANF_FORMAT_STRING const char *fmt, ...);

This notes that fmt should be a scanf-style format string. The compiler or other analysis tools can warn when this doesn't appear to be the case.

On compilers without this annotation mechanism, this is defined to nothing.

AVAILABILITY
This macro is available since SDL 3.2.0.